Update automation rule
curl --request PATCH \
--url https://app.msportal.ai/api/public/v1/automation/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isActive": true,
"priority": 50,
"companyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"triggerConfig": {},
"conditions": [
null
],
"actions": [
null
],
"aggregationConfig": "<unknown>"
}
'import requests
url = "https://app.msportal.ai/api/public/v1/automation/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"isActive": True,
"priority": 50,
"companyIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"triggerConfig": {},
"conditions": [None],
"actions": [None],
"aggregationConfig": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isActive: true,
priority: 50,
companyIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
triggerConfig: {},
conditions: [null],
actions: [null],
aggregationConfig: '<unknown>'
})
};
fetch('https://app.msportal.ai/api/public/v1/automation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"isActive": true,
"priority": 123,
"companyIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"triggerType": "<string>",
"entityType": "<string>",
"triggerConfig": {},
"conditions": [
{
"id": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"operator": "<string>",
"value": "<unknown>"
}
],
"groups": [
null
]
}
],
"actions": [
{
"id": "<string>",
"actionType": "<string>",
"config": {},
"order": 123,
"requiresApproval": true
}
],
"aggregationConfig": {
"enabled": true,
"groupBy": "<string>",
"groupField": "<string>",
"minBatchSize": 123,
"maxWaitHours": 123,
"combinedActionConfig": {
"titleTemplate": "<string>",
"descriptionTemplate": "<string>"
}
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"updatedBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"version": 123,
"companies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Automation Rules
Update automation rule
Update an existing automation rule. Only provided fields will be updated.
PATCH
/
api
/
public
/
v1
/
automation
/
{id}
Update automation rule
Authorizations
Use your API key as a Bearer token. API keys can be generated in Settings → Integrations → API Access.
Path Parameters
Rule ID
Body
application/json
Rule name
Required string length:
1 - 200Rule description
Maximum string length:
1000Whether the rule is active
Rule priority
Required range:
0 <= x <= 100Rule scope
Available options:
tenant, company Company IDs
Trigger type
Available options:
date_threshold, scheduled, field_change, absence Trigger-specific configuration
Show child attributes
Show child attributes
Entity type
Available options:
device, company, compliance, planner, user, goal, training, ticket, meeting Condition groups
Actions to execute
Aggregation configuration
Response
Rule updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I